<?php
 
 
 

namespace PhpWA\Protocol\Proto\StatusAttribution;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class StatusReshare extends \Google\Protobuf\Internal\Message
{
    


    protected $source = null;
    


    protected $metadata = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getSource()
    {
        return isset($this->source) ? $this->source : 0;
    }

    public function hasSource()
    {
        return isset($this->source);
    }

    public function clearSource()
    {
        unset($this->source);
    }

    




    public function setSource($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\StatusAttribution\StatusReshare\Source::class);
        $this->source = $var;

        return $this;
    }

    



    public function getMetadata()
    {
        return $this->metadata;
    }

    public function hasMetadata()
    {
        return isset($this->metadata);
    }

    public function clearMetadata()
    {
        unset($this->metadata);
    }

    




    public function setMetadata($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\StatusAttribution\StatusReshare\Metadata::class);
        $this->metadata = $var;

        return $this;
    }

}

